"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = __importDefault(require("typescript"));
const globby_1 = __importDefault(require("globby"));
const builder_1 = require("./builder");
async function main(glob) {
    const files = await globby_1.default([glob]);
    const program = typescript_1.default.createProgram(files, {
        allowJs: true,
        target: typescript_1.default.ScriptTarget.ESNext,
        module: typescript_1.default.ModuleKind.CommonJS
    });
    const builder = new builder_1.Builder(program);
    builder.analyze();
    process.stdout.write(builder.print());
}
exports.main = main;
